This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 819518 - nlm: notify for event MAP_XID failed
nlm: notify for event MAP_XID failed
Status: CLOSED UPSTREAM
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
pre-release
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Rajesh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-07 09:19 EDT by Saurabh
Modified: 2016-01-19 01:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-11 07:15:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Saurabh 2012-05-07 09:19:25 EDT
Description of problem:
ched to remote volume '/export/dist'.
[2012-05-07 11:51:54.019525] I [client-handshake.c:1440:client_setvolume_cbk] 0-dist-client-1: Server and Client lk-version numbers are not same, reopening the fds
[2012-05-07 11:51:54.019884] I [client-handshake.c:456:client_set_lk_version_cbk] 0-dist-client-1: Server lk version = 1
[2012-05-07 11:51:55.940782] W [nlm4.c:1703:nlm4svc_unlock] 0-nfs-NLM: NLM in grace period
[2012-05-07 11:51:55.940916] W [nlm4.c:1703:nlm4svc_unlock] 0-nfs-NLM: NLM in grace period
[2012-05-07 11:52:00.940635] W [nlm4.c:1703:nlm4svc_unlock] 0-nfs-NLM: NLM in grace period
[2012-05-07 11:52:00.941189] W [nlm4.c:1703:nlm4svc_unlock] 0-nfs-NLM: NLM in grace period
[2012-05-07 11:52:05.940837] W [nlm4.c:1703:nlm4svc_unlock] 0-nfs-NLM: NLM in grace period
[2012-05-07 11:52:05.941606] W [nlm4.c:1703:nlm4svc_unlock] 0-nfs-NLM: NLM in grace period
[2012-05-07 11:52:10.940854] W [nlm4.c:1703:nlm4svc_unlock] 0-nfs-NLM: NLM in grace period
[2012-05-07 11:52:10.941741] W [nlm4.c:1703:nlm4svc_unlock] 0-nfs-NLM: NLM in grace period
[2012-05-07 11:52:15.940785] W [nlm4.c:1703:nlm4svc_unlock] 0-nfs-NLM: NLM in grace period
[2012-05-07 11:52:15.942574] W [nlm4.c:1703:nlm4svc_unlock] 0-nfs-NLM: NLM in grace period
[2012-05-07 11:52:20.940758] W [nlm4.c:1703:nlm4svc_unlock] 0-nfs-NLM: NLM in grace period
[2012-05-07 11:52:20.942617] W [nlm4.c:1703:nlm4svc_unlock] 0-nfs-NLM: NLM in grace period
[2012-05-07 11:52:25.940805] W [nlm4.c:1703:nlm4svc_unlock] 0-nfs-NLM: NLM in grace period
[2012-05-07 11:52:25.942602] W [nlm4.c:1703:nlm4svc_unlock] 0-nfs-NLM: NLM in grace period
[2012-05-07 11:52:30.940810] W [nlm4.c:1703:nlm4svc_unlock] 0-nfs-NLM: NLM in grace period
[2012-05-07 11:52:30.942619] W [nlm4.c:1703:nlm4svc_unlock] 0-nfs-NLM: NLM in grace period
[2012-05-07 11:52:35.940773] W [nlm4.c:1703:nlm4svc_unlock] 0-nfs-NLM: NLM in grace period
[2012-05-07 11:52:35.942577] W [nlm4.c:1703:nlm4svc_unlock] 0-nfs-NLM: NLM in grace period
[2012-05-07 11:52:40.955484] E [rpc-clnt.c:382:saved_frames_unwind] (-->/usr/lib64/glusterfs/3.3.0qa39/xlator/nfs/server.so(nlm_set_rpc_clnt+0xf3) [0x7f0265274423] (-->/usr/lib64/libgfrpc.so.0(rpc_clnt_connection_cleanup+0xb2) [0x300080ef32] (-->/usr/lib64/libgfrpc.so.0(saved_frames_destroy+0xe) [0x300080ebee]))) 0-NLM-client: forced unwinding frame type(NLMv4) op(GRANTED(5)) called at 2012-05-07 11:52:40.954886 (xid=0x1x)
[2012-05-07 11:52:40.955900] C [rpc-clnt.c:485:rpc_clnt_fill_request_info] 0-NLM-client: cannot lookup the saved frame corresponding to xid (1)
[2012-05-07 11:52:40.962510] I [mem-pool.c:585:mem_pool_destroy] 0-nfs-server: size=2236 max=1 total=1
[2012-05-07 11:52:40.963992] I [mem-pool.c:585:mem_pool_destroy] 0-nfs-server: size=124 max=1 total=1
[2012-05-07 11:52:40.964179] W [socket.c:1362:__socket_read_reply] 0-NLM-client: notify for event MAP_XID failed


Version-Release number of selected component (if applicable):
3.3.0qa39

How reproducible:
always

Steps to Reproduce:i
2. make two nfs mounts
3. start ping_pong from both of them
4. enable quota.(so graph changes and nfs restarts)

  
Actual results:
just after NLM grace period finishes, this error is seen assuming one of the grant request for lock failing, though ping_pong keeps working after a delay

Expected results:
The error needs to be rectified

Additional info:
Comment 1 Vijay Bellur 2012-07-03 07:51:45 EDT
CHANGE: http://review.gluster.com/3433 (nfs/nlm: when setting nlmclnt->rpc_clnt, do not overwrite old rpc_clnt) merged in release-3.3 by Vijay Bellur (vijay@gluster.com)

Note You need to log in before you can comment on or make changes to this bug.